#ifndef KFORMULA_FACTORY_H
#define KFORMULA_FACTORY_H

#include <KoFactory.h>
//#include <tdeaboutdata.h>

class TDEInstance;
class TDEInstance;
class TDEAboutData;

class KFormulaFactory : public KoFactory
{
    Q_OBJECT
  
public:
    KFormulaFactory( TQObject* parent = 0, const char* name = 0 );
    ~KFormulaFactory();

    virtual KParts::Part *createPartObject( TQWidget *parentWidget = 0, const char *widgetName = 0, TQObject *parent = 0, const char *name = 0, const char *classname = "KoDocument", const TQStringList &args = TQStringList() );

    static TDEInstance* global();

    static TDEAboutData* aboutData();

private:
    static TDEInstance* s_global;
    static TDEAboutData* s_aboutData;
};

#endif
